Autor Tema: Problema con Bettercap en Kali Linux  (Leído 2202 veces)

0 Usuarios y 1 Visitante están viendo este tema.

3thic4l

  • Visitante
Problema con Bettercap en Kali Linux
« en: 12-06-2016, 19:32 (Domingo) »
Hola a todos!


Os cuento mi problema, he instalado Bettercap en Kali Linux pero a la hora de ejecutarlo me devuelve esto:


/var/lib/gems/2.1.0/gems/bettercap-1.5.6b/lib/bettercap/spoofers/icmp.rb:24:in `<class:ICMPRedirectPacket>': uninitialized constant PacketFu::EthHeaderMixin (NameError)
   from /var/lib/gems/2.1.0/gems/bettercap-1.5.6b/lib/bettercap/spoofers/icmp.rb:17:in `<module:Spoofers>'
   from /var/lib/gems/2.1.0/gems/bettercap-1.5.6b/lib/bettercap/spoofers/icmp.rb:15:in `<module:BetterCap>'
   from /var/lib/gems/2.1.0/gems/bettercap-1.5.6b/lib/bettercap/spoofers/icmp.rb:14:in `<top (required)>'
   from /usr/lib/ruby/2.1.0/rubygems/core_ext/kernel_require.rb:55:in `require'
   from /usr/lib/ruby/2.1.0/rubygems/core_ext/kernel_require.rb:55:in `require'
   from /var/lib/gems/2.1.0/gems/bettercap-1.5.6b/lib/bettercap.rb:66:in `block in bettercap_autoload'
   from /var/lib/gems/2.1.0/gems/bettercap-1.5.6b/lib/bettercap.rb:65:in `each'
   from /var/lib/gems/2.1.0/gems/bettercap-1.5.6b/lib/bettercap.rb:65:in `bettercap_autoload'
   from /var/lib/gems/2.1.0/gems/bettercap-1.5.6b/lib/bettercap.rb:70:in `<top (required)>'
   from /usr/lib/ruby/2.1.0/rubygems/core_ext/kernel_require.rb:55:in `require'
   from /usr/lib/ruby/2.1.0/rubygems/core_ext/kernel_require.rb:55:in `require'
   from /var/lib/gems/2.1.0/gems/bettercap-1.5.6b/bin/bettercap:16:in `<top (required)>'
   from /usr/local/bin/bettercap:23:in `load'
   from /usr/local/bin/bettercap:23:in `<main>'


A que se puede deber? Alguna solución?

Espero vuestra repuesta, un saludo!